X-Application-IdX-Api-Key
GET /sdk/v1/transactions
List agency wallet transactions.Query parameters
page(default1)limitorpageSize(default50, max100)sortBy(optional)sortOrder(asc|desc, optional)transactionTypesortransactionType(optional; comma-separated)transactionStatusesortransactionStatus(optional; comma-separated)fromandto(optional; ISO timestamps)
from/to is provided without a timezone offset, it is treated as UTC.
Supported transactionTypes values (invalid values are ignored):
TOP_UP, AGENCY_PAY_OUT, CREATOR_PAYMENT, TOP_UP_CREDIT
Supported transactionStatuses values (invalid values are ignored):
SUBMITTED, PENDING_VERIFICATION, PROCESSING, INSTANT_WALLET_TO_WALLET, PENDING_WALLET_TO_WALLET, DECLINED, COMPLETED
Response
GET /sdk/v1/transactions/export
Export wallet transactions as CSV or PDF.Query parameters
format(required):csvorpdffromandto(required): ISO timestamps- All filters supported by
GET /sdk/v1/transactions timeZone(optional; used for PDF rendering)
Responses
text/csvwithContent-Disposition: attachment; filename="wallet-transactions-YYYY-MM-DD.csv"application/pdfwithContent-Disposition: attachment; filename="wallet-transactions-YYYY-MM-DD.pdf"
413 with a JSON error.